return {
	'neovim/nvim-lspconfig',
	name = 'lsp',
	config = function()
		require('mason')
		require('mason-lspconfig')
		vim.diagnostic.config(require('config.utils').lsp_config)
		-- vim.lsp.handlers['textDocument/hover'] = vim.lsp.with(vim.lsp.handlers.hover, {
		-- 	border = 'rounded',
		-- })
		-- vim.lsp.handlers['textDocument/signatureHelp'] = vim.lsp.with(vim.lsp.handlers.signature_help, {
		-- 	border = 'rounded',
		-- })
		local on_references = vim.lsp.handlers['textDocument/references']
		vim.lsp.handlers['textDocument/references'] = vim.lsp.with(on_references, {
			-- Use location list instead of quickfix list
			loclist = true,
		})
	end
}
